%define upstream_name WeakRef
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 33
Summary:	An API to the Perl weak references
License:	GPL or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/WeakRef/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel


%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing weak
references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that it isn't
included in the reference count of the thing referred to. This means that once
all references to a particular piece of data are weak, the piece of data is
freed and all the weak references are set to undef. This is particularly useful
for implementing circular data structures without memory leaks or caches of
objects.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.10.0-33.mga10
+ Revision: 2088258
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.10.0-32.mga10
+ Revision: 2010914
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.10.0-31.mga9
+ Revision: 1862612
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.10.0-30.mga9
+ Revision: 1796194
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.10.0-29.mga9
+ Revision: 1727313
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.10.0-28.mga8
+ Revision: 1595304
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-27.mga8
+ Revision: 1530159
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.10.0-26.mga8
+ Revision: 1433944
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.10.0-25.mga7
+ Revision: 1293998
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.0-24.mga7
+ Revision: 1249315
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.10.0-23.mga7
+ Revision: 1167312
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.10.0-22.mga7
+ Revision: 1149434
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.10.0-21.mga7
+ Revision: 1127597
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-20.mga6
+ Revision: 1035691
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-19.mga6
+ Revision: 958204
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.10.0-18.mga6
+ Revision: 845508
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.10.0-17.mga6
+ Revision: 841282
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.01-17.mga5
+ Revision: 743804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-16.mga5
+ Revision: 686875
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.01-15.mga5
+ Revision: 631877
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.01-14.mga4
+ Revision: 525067
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.01-13.mga4
+ Revision: 431831
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 374816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.01-11.mga3
+ Revision: 251316
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.01-10.mga2
+ Revision: 105106
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.01-9.mga1
+ Revision: 31461
- mageia rebuild
- imported package perl-WeakRef


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.01-9mdv2011.0
+ Revision: 555215
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.01-8mdv2010.0
+ Revision: 430655
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-7mdv2009.0
+ Revision: 258784
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2009.0
+ Revision: 246699
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2008.1
+ Revision: 152393
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-3mdv2008.0
+ Revision: 67090
- rebuild


* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2007.0
- Rebuild

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdk 
- first mandriva release

